{
  "name" : "Simple Connect",
  "configKey" : "simple-connect",
  "page" : 0,
  "components" : [ {
    "label" : "Features",
    "mask" : false,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "well",
    "input" : false,
    "key" : "features",
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "components" : [ {
      "label" : "Optionale Features",
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "dualmultiselect",
      "input" : true,
      "key" : "connect-features",
      "defaultValue" : [ ],
      "validate" : {
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "data" : {
        "url" : "api/v1/scopes/{{ context.scopeId }}/processes/{{ context.processId }}/datasources/connect-features/query?default='0','1'",
        "values" : [ { } ]
      },
      "template" : "{{ item.key }}",
      "tabs" : null,
      "properties" : { },
      "tags" : [ ],
      "encrypted" : false,
      "customConditional" : "",
      "logic" : [ ],
      "projection" : "key",
      "reorder" : false
    } ],
    "tabs" : null,
    "reorder" : false,
    "properties" : { },
    "tags" : null,
    "customConditional" : "",
    "logic" : [ ]
  }, {
    "label" : "Links",
    "mask" : false,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "well",
    "input" : false,
    "key" : "links",
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "components" : [ {
      "label" : "Columns",
      "columns" : [ {
        "components" : [ {
          "label" : "connect_admin_username",
          "allowMultipleMasks" : false,
          "showWordCount" : false,
          "showCharCount" : false,
          "clearOnHide" : false,
          "disabled" : true,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "textfield",
          "input" : true,
          "key" : "connect_admin_username",
          "defaultValue" : "",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "inputFormat" : "plain",
          "encrypted" : false,
          "properties" : { },
          "tags" : [ ],
          "customConditional" : "",
          "logic" : [ ],
          "widget" : {
            "type" : ""
          },
          "reorder" : false
        }, {
          "label" : "connect_admin_password",
          "hideLabel" : true,
          "labelPosition" : "left-left",
          "showWordCount" : false,
          "showCharCount" : false,
          "clearOnHide" : false,
          "disabled" : true,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "textfield",
          "input" : true,
          "key" : "connect_admin_password",
          "defaultValue" : "",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "inputFormat" : "plain",
          "encrypted" : false,
          "properties" : { },
          "tags" : [ ],
          "customConditional" : "",
          "logic" : [ ],
          "widget" : {
            "type" : ""
          },
          "reorder" : false
        } ],
        "width" : 3,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column"
      }, {
        "components" : [ {
          "label" : "HTML",
          "labelPosition" : "left-left",
          "className" : "",
          "attrs" : [ {
            "attr" : "",
            "value" : ""
          } ],
          "content" : "<div class=\"h5\">\n  <a\n    target=\"_blank\"\n    href=\"{{ 'https://' + (!!(data.cluster)?data.cluster.stage:'cluster.stage') + '-' + (!!(data.tenant)?data.tenant.key:'tenant.key') + '-' + (!!(data.cluster)?data.cluster.name:'cluster.name') + '-01-connect.smardigo.digital' }}\">\n    {{ 'https://' + (!!(data.cluster)?data.cluster.stage:'cluster.stage') + '-' + (!!(data.tenant)?data.tenant.key:'tenant.key') + '-' + (!!(data.cluster)?data.cluster.name:'cluster.name') + '-01-connect.smardigo.digital' }}\n  </a>\n</div>",
          "refreshOnChange" : true,
          "mask" : false,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "htmlelement",
          "input" : false,
          "key" : "html2",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "encrypted" : false,
          "properties" : { },
          "tags" : null,
          "customConditional" : "",
          "logic" : [ ],
          "refreshOn" : "data",
          "reorder" : false
        } ],
        "width" : 9,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column"
      }, {
        "width" : 3,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column",
        "components" : [ ]
      }, {
        "width" : 9,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column",
        "components" : [ {
          "label" : "HTML",
          "labelPosition" : "left-left",
          "className" : "",
          "attrs" : [ {
            "attr" : "",
            "value" : ""
          } ],
          "content" : "<div class=\"h5\">\n  <a\n    target=\"_blank\"\n    href=\"{{ 'https://' + (!!(data.cluster)?data.cluster.stage:'cluster.stage') + '-' + (!!(data.tenant)?data.tenant.key:'tenant.key') + '-' + (!!(data.cluster)?data.cluster.name:'cluster.name') + '-01-wordpress.smardigo.digital' }}\">\n    {{ 'https://' + (!!(data.cluster)?data.cluster.stage:'cluster.stage') + '-' + (!!(data.tenant)?data.tenant.key:'tenant.key') + '-' + (!!(data.cluster)?data.cluster.name:'cluster.name') + '-01-wordpress.smardigo.digital' }}\n  </a>\n</div>",
          "refreshOnChange" : true,
          "mask" : false,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "htmlelement",
          "input" : false,
          "key" : "html4",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "encrypted" : false,
          "properties" : { },
          "tags" : null,
          "customConditional" : "show = data['connect-features'].includes(\"connect_wordpress\")  ",
          "logic" : [ ],
          "refreshOn" : "data",
          "reorder" : false
        } ]
      }, {
        "width" : 3,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column",
        "components" : [ {
          "label" : "wordpress_admin_username",
          "allowMultipleMasks" : false,
          "showWordCount" : false,
          "showCharCount" : false,
          "clearOnHide" : false,
          "disabled" : true,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "textfield",
          "input" : true,
          "key" : "wordpress_admin_username",
          "defaultValue" : "",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "inputFormat" : "plain",
          "encrypted" : false,
          "properties" : { },
          "tags" : [ ],
          "customConditional" : "show = data['connect-features'].includes(\"connect_wordpress\")  ",
          "logic" : [ ],
          "widget" : {
            "type" : ""
          },
          "reorder" : false
        }, {
          "label" : "wordpress_admin_password",
          "hideLabel" : true,
          "labelPosition" : "left-left",
          "showWordCount" : false,
          "showCharCount" : false,
          "clearOnHide" : false,
          "disabled" : true,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "textfield",
          "input" : true,
          "key" : "wordpress_admin_password",
          "defaultValue" : "",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "properties" : { },
          "tags" : [ ],
          "inputFormat" : "plain",
          "encrypted" : false,
          "customConditional" : "show = data['connect-features'].includes(\"connect_wordpress\")  ",
          "logic" : [ ],
          "widget" : {
            "type" : ""
          },
          "reorder" : false
        } ]
      }, {
        "width" : 9,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column",
        "components" : [ {
          "label" : "HTML",
          "labelPosition" : "left-left",
          "className" : "",
          "attrs" : [ {
            "attr" : "",
            "value" : ""
          } ],
          "content" : "<div class=\"h5\">\n  <a\n    target=\"_blank\"\n    href=\"{{ 'https://' + (!!(data.cluster)?data.cluster.stage:'cluster.stage') + '-' + (!!(data.tenant)?data.tenant.key:'tenant.key') + '-' + (!!(data.cluster)?data.cluster.name:'cluster.name') + '-01-wordpress.smardigo.digital/wp-admin' }}\">\n    {{ 'https://' + (!!(data.cluster)?data.cluster.stage:'cluster.stage') + '-' + (!!(data.tenant)?data.tenant.key:'tenant.key') + '-' + (!!(data.cluster)?data.cluster.name:'cluster.name') + '-01-wordpress.smardigo.digital/wp-admin' }}\n  </a>\n</div>",
          "refreshOnChange" : true,
          "mask" : false,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "htmlelement",
          "input" : false,
          "key" : "html5",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "encrypted" : false,
          "properties" : { },
          "tags" : null,
          "customConditional" : "show = data['connect-features'].includes(\"connect_wordpress\")  ",
          "logic" : [ ],
          "refreshOn" : "data",
          "reorder" : false
        } ]
      }, {
        "width" : 3,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column",
        "components" : [ {
          "label" : "keycloak_admin_username",
          "allowMultipleMasks" : false,
          "showWordCount" : false,
          "showCharCount" : false,
          "clearOnHide" : false,
          "disabled" : true,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "textfield",
          "input" : true,
          "key" : "keycloak_admin_username",
          "defaultValue" : "",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "inputFormat" : "plain",
          "encrypted" : false,
          "properties" : { },
          "tags" : [ ],
          "customConditional" : "",
          "logic" : [ ],
          "widget" : {
            "type" : ""
          },
          "reorder" : false
        }, {
          "label" : "keycloak_admin_password",
          "hideLabel" : true,
          "labelPosition" : "left-left",
          "showWordCount" : false,
          "showCharCount" : false,
          "clearOnHide" : false,
          "disabled" : true,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "textfield",
          "input" : true,
          "key" : "keycloak_admin_password",
          "defaultValue" : "",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "properties" : { },
          "tags" : [ ],
          "inputFormat" : "plain",
          "encrypted" : false,
          "customConditional" : "",
          "logic" : [ ],
          "widget" : {
            "type" : ""
          },
          "reorder" : false
        } ]
      }, {
        "width" : 9,
        "offset" : 0,
        "push" : 0,
        "pull" : 0,
        "type" : "column",
        "input" : false,
        "hideOnChildrenHidden" : false,
        "key" : "column",
        "tableView" : true,
        "label" : "Column",
        "components" : [ {
          "label" : "HTML",
          "labelPosition" : "left-left",
          "className" : "",
          "attrs" : [ {
            "attr" : "",
            "value" : ""
          } ],
          "content" : "<div class=\"h5\">\n  <a\n    target=\"_blank\"\n    href=\"{{ 'https://' + (!!(data.cluster)?data.cluster.stage:'cluster.stage') + '-keycloak-01.smardigo.digital/auth/admin/' + (!!(data.tenant)?data.tenant.key:'tenant.key') + '/console' }}\">\n    {{ 'https://' + (!!(data.cluster)?data.cluster.stage:'cluster.stage') + '-keycloak-01.smardigo.digital/auth/admin/' + (!!(data.tenant)?data.tenant.key:'tenant.key') + '/console' }}\n  </a>\n</div>",
          "refreshOnChange" : true,
          "mask" : false,
          "tableView" : true,
          "alwaysEnabled" : false,
          "type" : "htmlelement",
          "input" : false,
          "key" : "html3",
          "validate" : {
            "customMessage" : "",
            "json" : ""
          },
          "conditional" : {
            "show" : "",
            "when" : "",
            "json" : ""
          },
          "tabs" : null,
          "encrypted" : false,
          "properties" : { },
          "tags" : null,
          "customConditional" : "",
          "logic" : [ ],
          "refreshOn" : "data",
          "reorder" : false
        } ]
      } ],
      "mask" : false,
      "tableView" : false,
      "alwaysEnabled" : false,
      "type" : "columns",
      "input" : false,
      "key" : "columns2",
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "tabs" : null,
      "properties" : { },
      "tags" : null,
      "customConditional" : "",
      "logic" : [ ],
      "reorder" : false
    } ],
    "tabs" : null,
    "properties" : { },
    "tags" : null,
    "customConditional" : "",
    "logic" : [ ],
    "reorder" : false
  }, {
    "label" : "Connect",
    "mask" : false,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "container",
    "input" : true,
    "key" : "connect",
    "validate" : {
      "customMessage" : "",
      "json" : ""
    },
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "components" : [ {
      "label" : "Connect",
      "hideLabel" : true,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "well",
      "input" : false,
      "key" : "connect2",
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "components" : [ {
        "label" : "Version",
        "labelPosition" : "left-left",
        "mask" : false,
        "tableView" : true,
        "alwaysEnabled" : false,
        "type" : "select",
        "input" : true,
        "key" : "version",
        "defaultValue" : "latest",
        "validate" : {
          "select" : false,
          "customMessage" : "",
          "json" : ""
        },
        "conditional" : {
          "show" : "",
          "when" : "",
          "json" : ""
        },
        "data" : {
          "url" : "api/v1/scopes/{{context.scopeId}}/tags/{{context.scopeTag}}/datasources/whitelabel-docker-image-tags/query",
          "headers" : [ {
            "key" : "",
            "value" : ""
          } ],
          "values" : [ ]
        },
        "dataSrc" : "url",
        "valueProperty" : "value",
        "tabs" : null,
        "properties" : { },
        "selectThreshold" : 0.3,
        "encrypted" : false,
        "lazyLoad" : false,
        "selectValues" : "",
        "disableLimit" : false,
        "sort" : "",
        "tags" : null,
        "customConditional" : "",
        "logic" : [ ],
        "customDefaultValue" : "value='latest'",
        "reorder" : false,
        "reference" : false
      } ],
      "tabs" : null,
      "reorder" : false,
      "properties" : { },
      "tags" : null,
      "customConditional" : "",
      "logic" : [ ]
    } ],
    "tabs" : null,
    "encrypted" : false,
    "properties" : { },
    "tags" : null,
    "customConditional" : "",
    "logic" : [ ],
    "reorder" : false
  }, {
    "label" : "Cluster",
    "mask" : false,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "container",
    "input" : true,
    "key" : "cluster",
    "validate" : {
      "customMessage" : "",
      "json" : ""
    },
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "components" : [ {
      "label" : "Cluster",
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "well",
      "input" : false,
      "key" : "cluster_well",
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "components" : [ {
        "label" : "Stage",
        "labelPosition" : "left-left",
        "allowMultipleMasks" : false,
        "showWordCount" : false,
        "showCharCount" : false,
        "disabled" : true,
        "tableView" : true,
        "alwaysEnabled" : false,
        "type" : "textfield",
        "input" : true,
        "key" : "stage",
        "defaultValue" : "",
        "validate" : {
          "customMessage" : "",
          "json" : "",
          "required" : true,
          "minLength" : null,
          "maxLength" : null,
          "minWords" : null,
          "maxWords" : null
        },
        "conditional" : {
          "show" : "",
          "when" : "",
          "json" : ""
        },
        "tabs" : null,
        "inputFormat" : "plain",
        "encrypted" : false,
        "properties" : { },
        "tags" : [ ],
        "customConditional" : "",
        "logic" : [ ],
        "widget" : {
          "type" : ""
        },
        "reorder" : false
      }, {
        "label" : "Name",
        "labelPosition" : "left-left",
        "allowMultipleMasks" : false,
        "showWordCount" : false,
        "showCharCount" : false,
        "tableView" : true,
        "alwaysEnabled" : false,
        "type" : "textfield",
        "input" : true,
        "key" : "name",
        "defaultValue" : "",
        "validate" : {
          "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 4 und höchstens 15 Zeichen, alles kleingeschrieben",
          "json" : "",
          "required" : true,
          "minLength" : null,
          "maxLength" : null,
          "minWords" : null,
          "maxWords" : null,
          "pattern" : "^[a-z0-9]{4,15}$"
        },
        "conditional" : {
          "show" : "",
          "when" : "",
          "json" : ""
        },
        "tabs" : null,
        "inputFormat" : "plain",
        "encrypted" : false,
        "properties" : { },
        "tags" : [ ],
        "customConditional" : "",
        "logic" : [ ],
        "widget" : {
          "type" : ""
        },
        "reorder" : false
      }, {
        "label" : "Size",
        "labelPosition" : "left-left",
        "mask" : false,
        "disabled" : true,
        "tableView" : true,
        "alwaysEnabled" : false,
        "type" : "number",
        "input" : true,
        "key" : "size",
        "validate" : {
          "customMessage" : "",
          "json" : "",
          "required" : true,
          "min" : null,
          "max" : null
        },
        "conditional" : {
          "show" : "",
          "when" : "",
          "json" : ""
        },
        "tabs" : null,
        "properties" : { },
        "tags" : [ ],
        "delimiter" : false,
        "requireDecimal" : false,
        "encrypted" : false,
        "decimalLimit" : null,
        "customConditional" : "",
        "logic" : [ ],
        "reorder" : false
      }, {
        "label" : "Service",
        "labelPosition" : "left-left",
        "allowMultipleMasks" : false,
        "showWordCount" : false,
        "showCharCount" : false,
        "disabled" : true,
        "tableView" : true,
        "alwaysEnabled" : false,
        "type" : "textfield",
        "input" : true,
        "key" : "service",
        "defaultValue" : "",
        "validate" : {
          "customMessage" : "",
          "json" : "",
          "required" : true,
          "minLength" : null,
          "maxLength" : null,
          "minWords" : null,
          "maxWords" : null
        },
        "conditional" : {
          "show" : "",
          "when" : "",
          "json" : ""
        },
        "tabs" : null,
        "inputFormat" : "plain",
        "encrypted" : false,
        "properties" : { },
        "tags" : [ ],
        "customConditional" : "",
        "logic" : [ ],
        "widget" : {
          "type" : ""
        },
        "reorder" : false
      } ],
      "tabs" : null,
      "properties" : { },
      "tags" : [ ],
      "customConditional" : "",
      "logic" : [ ],
      "reorder" : false
    } ],
    "tabs" : null,
    "encrypted" : false,
    "properties" : { },
    "tags" : [ ],
    "customConditional" : "",
    "logic" : [ ],
    "reorder" : false
  } ],
  "display" : "form"
}